CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

AddCircle method example

Private Sub AddCircleExample()

     ' This example creates a circle with a radius of 4 and adds it to the

     'drawing using the AddCircle method.

     Dim icadDoc As progeCAD.Document

     Dim icadCircle As progeCAD.Circle

     Dim cenPt As progeCAD.Point

     Set icadDoc = ActiveDocument

     Set cenPt = Library.CreatePoint(1, 2)

     'Add the circle to the .dwg

     Set icadCircle = icadDoc.ModelSpace.AddCircle(cenPt, 4)

     ' Display the entity

     icadCircle.Update

     MsgBox "Circle created w/ center point at 1,2."

ThisDocument.ActiveViewport.ZoomExtents

End Sub

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.